types:
  defaults:
    type: file
    thumb: media/thumb.png
    mime: application/octet-stream
    image:
      filters:
        default: [enableProgressive]
  jpg:
    type: image
    thumb: media/thumb-jpg.png
    mime: image/jpeg
    image: null
  jpe:
    type: image
    thumb: media/thumb-jpg.png
    mime: image/jpeg
    image: null
  jpeg:
    type: image
    thumb: media/thumb-jpg.png
    mime: image/jpeg
    image: null
  png:
    type: image
    thumb: media/thumb-png.png
    mime: image/png
    image: null
  webp:
    type: image
    thumb: media/thumb-webp.png
    mime: image/webp
    image: null
  gif:
    type: animated
    thumb: media/thumb-gif.png
    mime: image/gif
    image: null
  svg:
    type: vector
    thumb: media/thumb-svg.png
    mime: image/svg+xml
    image: null
  mp4:
    type: video
    thumb: media/thumb-mp4.png
    mime: video/mp4
    image: null
  mov:
    type: video
    thumb: media/thumb-mov.png
    mime: video/quicktime
    image: null
  m4v:
    type: video
    thumb: media/thumb-m4v.png
    mime: video/x-m4v
    image: null
  swf:
    type: video
    thumb: media/thumb-swf.png
    mime: video/x-flv
    image: null
  flv:
    type: video
    thumb: media/thumb-flv.png
    mime: video/x-flv
    image: null
  webm:
    type: video
    thumb: media/thumb-webm.png
    mime: video/webm
    image: null
  ogv:
    type: video
    thumb: media/thumb-ogg.png
    mime: video/ogg
    image: null
  mp3:
    type: audio
    thumb: media/thumb-mp3.png
    mime: audio/mp3
    image: null
  ogg:
    type: audio
    thumb: media/thumb-ogg.png
    mime: audio/ogg
    image: null
  wma:
    type: audio
    thumb: media/thumb-wma.png
    mime: audio/wma
    image: null
  m4a:
    type: audio
    thumb: media/thumb-m4a.png
    mime: audio/m4a
    image: null
  wav:
    type: audio
    thumb: media/thumb-wav.png
    mime: audio/wav
    image: null
  aiff:
    type: audio
    thumb: media/thumb-aif.png
    mime: audio/aiff
    image: null
  aif:
    type: audio
    thumb: media/thumb-aif.png
    mime: audio/aif
    image: null
  txt:
    type: file
    thumb: media/thumb-txt.png
    mime: text/plain
    image: null
  xml:
    type: file
    thumb: media/thumb-xml.png
    mime: application/xml
    image: null
  doc:
    type: file
    thumb: media/thumb-doc.png
    mime: application/msword
    image: null
  docx:
    type: file
    thumb: media/thumb-docx.png
    mime: application/vnd.openxmlformats-officedocument.wordprocessingml.document
    image: null
  xls:
    type: file
    thumb: media/thumb-xls.png
    mime: application/vnd.ms-excel
    image: null
  xlsx:
    type: file
    thumb: media/thumb-xlsx.png
    mime: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
    image: null
  ppt:
    type: file
    thumb: media/thumb-ppt.png
    mime: application/vnd.ms-powerpoint
    image: null
  pptx:
    type: file
    thumb: media/thumb-pptx.png
    mime: application/vnd.openxmlformats-officedocument.presentationml.presentation
    image: null
  pps:
    type: file
    thumb: media/thumb-pps.png
    mime: application/vnd.ms-powerpoint
    image: null
  rtf:
    type: file
    thumb: media/thumb-rtf.png
    mime: application/rtf
    image: null
  bmp:
    type: file
    thumb: media/thumb-bmp.png
    mime: image/bmp
    image: null
  tiff:
    type: file
    thumb: media/thumb-tiff.png
    mime: image/tiff
    image: null
  mpeg:
    type: file
    thumb: media/thumb-mpg.png
    mime: video/mpeg
    image: null
  mpg:
    type: file
    thumb: media/thumb-mpg.png
    mime: video/mpeg
    image: null
  mpe:
    type: file
    thumb: media/thumb-mpe.png
    mime: video/mpeg
    image: null
  avi:
    type: file
    thumb: media/thumb-avi.png
    mime: video/msvideo
    image: null
  wmv:
    type: file
    thumb: media/thumb-wmv.png
    mime: video/x-ms-wmv
    image: null
  html:
    type: file
    thumb: media/thumb-html.png
    mime: text/html
    image: null
  htm:
    type: file
    thumb: media/thumb-html.png
    mime: text/html
    image: null
  ics:
    type: iCal
    thumb: media/thumb-ics.png
    mime: text/calendar
    image: null
  pdf:
    type: file
    thumb: media/thumb-pdf.png
    mime: application/pdf
    image: null
  ai:
    type: file
    thumb: media/thumb-ai.png
    mime: image/ai
    image: null
  psd:
    type: file
    thumb: media/thumb-psd.png
    mime: image/psd
    image: null
  zip:
    type: file
    thumb: media/thumb-zip.png
    mime: application/zip
    image: null
  7z:
    type: file
    thumb: media/thumb-7z.png
    mime: application/x-7z-compressed
    image: null
  gz:
    type: file
    thumb: media/thumb-gz.png
    mime: application/gzip
    image: null
  tar:
    type: file
    thumb: media/thumb-tar.png
    mime: application/x-tar
    image: null
  css:
    type: file
    thumb: media/thumb-css.png
    mime: text/css
    image: null
  js:
    type: file
    thumb: media/thumb-js.png
    mime: application/javascript
    image: null
  json:
    type: file
    thumb: media/thumb-json.png
    mime: application/json
    image: null
  csv:
    type: file
    thumb: media/thumb-pdf.png
    mime: application/vnd.ms-excel
    image: null
